For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • GETList knowledge items
      • POSTCreate knowledge item
      • GETGet knowledge item
      • DELDelete knowledge item
      • POSTRe-ingest knowledge item
      • GETList agent's knowledge items
      • POSTAttach knowledge item to agent
      • DELDetach knowledge item from agent
Status
LogoLogo
API ReferenceAgent Knowledge Base

List agent's knowledge items

GET
https://app.resemble.ai/api/v2/agents/:agent_uuid/knowledge_items
GET
/api/v2/agents/:agent_uuid/knowledge_items
$curl https://app.resemble.ai/api/v2/agents/agent_uuid/knowledge_items \
> -H "Authorization: Bearer <token>"
1{
2 "success": true,
3 "items": [
4 {}
5 ],
6 "count": 1
7}
Lists all knowledge items attached to a specific agent
Was this page helpful?
Previous

Attach knowledge item to agent

Next
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Path parameters

agent_uuidstringRequiredformat: "uuid"
The UUID of the agent

Response

List of knowledge items attached to agent
successboolean
itemslist of objects
countinteger

Errors

404
Not Found Error